#
# spec file for package iscsi-formula
#
# Copyright (c) 2018 SUSE LLC, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           iscsi-formula
Version:        1.1.1
Group:          System/Packages
Release:        2.8
Summary:        Configure iSCSI targets and initiator on GNU/Linux and FreeBSD

License:        Apache-2.0
Url:            https://github.com/saltstack-formulas/%{name}
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version} < 1500
Recommends:     salt-formulas-configuration
%else
Requires:       salt-formulas-configuration
%endif

%define fname iscsi
%define fdir  %{_datadir}/salt-formulas

%description
Configure iSCSI targets and initiator on GNU/Linux and FreeBSD

In order to use the formula, salt must be available in the system. The package comes automatically
in SLE15. To use it in SLE12, salt (and it sub-components) comes from the Advanced systems management
module, which can be added running the `SUSEConnect -p sle-module-adv-systems-management/12/{{ arch }}`

%prep
%setup -q

%build

%install

mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R %{fname} %{buildroot}%{fdir}/states


%files
%defattr(-,root,root,-)
%if 0%{?sle_version} < 120300
%doc docs/README.rst LICENSE
%else
%doc docs/README.rst
%license LICENSE
%endif

%dir %attr(0755, root, salt) %{fdir}
%dir %attr(0755, root, salt) %{fdir}/states
%dir %attr(0755, root, salt) %{fdir}/metadata

%attr(0755, root, salt) %{fdir}/states/%{fname}
%attr(0755, root, salt) %{fdir}/metadata/%{fname}

%changelog
* Tue Jan 19 2021 Xabier Arbulu <xarbulu@suse.com>
- Change salt-formulas-configuration requirement in SLE12 codestream
  to a recommendation
  (bsc#1177860)
* Mon Jul 22 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Upgrade to version 1.1.1
    For more details check CHANGELOG.md file (jsc#ECO-1965, jsc#SLE-4047)
* Mon Mar  4 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- First packaged version (git commit: 499e3567e1c7f741e0acdcb36bca460792967d13)
